FROM alpine:latest

WORKDIR /app

# El script le pasará los archivos clonados a esta carpeta
COPY . /app

# Al arrancar, el contenedor vacía el volumen compartido y copia los archivos nuevos
CMD rm -rf /publico/* && cp -r ./* /publico/ && echo "✅ Sitio web actualizado con éxito."
